Subject: [Sip] RFC 3265 REFRESHING SUBSCRIPTIONS - Example

From: [email-masked]
Date: Wed, 9 Mar 2005 17:21:02 +0530

Hello all,
 
Can any one give an example for this scenario on refreshing Subscriptions?

While receiving Subscription refresh reuquest.The notifier updates the expiration time for the subscription.  As with the initial subscription, the server MAY shorten the amount of time until expiration, but MUST NOT increase it. 

Regds and Thanks

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Amit Idnani" <[email-masked]>
Date: Wed, 9 Mar 2005 11:29:40 -0800

I believe you are referring to section 3.1.6.4 "Refreshing of Subscriptions" of RFC 3265.
 
Assume, a UA1 to send a initial SIP SUBSCRIBE message with value of Expires header set to 3600. The response may contain a value <= 3600 (1800) in the sample flow below.
 
SUBSCRIBE sip:[email-masked] SIP/2.0
From: <sip:[email-masked]>;tag=cl8674463231
To: <sip:[email-masked]>
Max-Forwards: 70
Via: SIP/2.0/UDP 192.168.1.1:7001;branch=z9hG4bKzA5mqX7086623498662350
Call-ID: [email-masked]
CSeq: 1 SUBSCRIBE
Contact: <sip:[email-masked]:7001>
Event: presence
Expires: 3600
Content-Length:0

SIP/2.0 200 OK
Record-Route:<sip:[email-masked];maddr=192.168.1.2;lr>
From: <sip:[email-masked]>;tag=cl8674463231
To: <sip:[email-masked]>;tag=pr1604765404
Via: SIP/2.0/UDP 192.168.1.1:7001;branch=z9hG4bKzA5mqX7086623498662350
Call-ID:[email-masked]
CSeq:1 SUBSCRIBE
Expires: 1800
Contact:<sip:[email-masked]>
Content-Length:0
 
Now, when the client decides to refresh the subscription, it sends another SUBSCRIBE request within the same dialog and may send Expires with 1800 and be prepared to receive a value <= 1800 (900) in the sample flow below.
 
SUBSCRIBE sip:[email-masked] SIP/2.0
From: <sip:[email-masked]>;tag=cl8674463231
To: <sip:[email-masked]>;tag=pr1604765404
Route: <sip:[email-masked];maddr=192.168.1.2;lr>
Via: SIP/2.0/UDP 192.168.1.1:7001;branch=z9hG4bKzA5mqX7086623498662351
Call-ID: [email-masked]
CSeq: 2 SUBSCRIBE
Contact: <sip:[email-masked]:7001>
Event: presence
Expires: 1800
Content-Length:0

SIP/2.0 200 OK
From: <sip:[email-masked]>;tag=cl8674463231
To: <sip:[email-masked]>;tag=pr1604765404
Via: SIP/2.0/UDP 192.168.1.1:7001;branch=z9hG4bKzA5mqX7086623498662351
Call-ID:[email-masked]
CSeq:2 SUBSCRIBE
Expires: 900
Contact:<sip:[email-masked]>
Content-Length:0

Hope it helps.
Amit Idnani

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of [email-masked]
Sent: Wednesday, March 09, 2005 3:51 AM
To: [email-masked]
Subject: [Sip] RFC 3265 REFRESHING SUBSCRIPTIONS - Example

Hello all,

Regds and Thanks